For the complete documentation index, see llms.txt. This page is also available as Markdown.

Endpoint

Try the API

Calculate probability with filtered outcomes

post

Calculates the probability and odds for the selected CustomBet outcomes and filters out conflicting outcomes.

Note: Try it out is disabled for this endpoint in Swagger UI.

Authorizations
Header parameters
Content-Typestring · enumRequired

Defines the media type of the request body. Must be application/xml.

Example: application/xmlPossible values:
Body
anyOptional
Responses
200

Successful calculation with filtered conflicting outcomes.

application/xml
post/custombet/calculate-filter
POST /v1/custombet/calculate-filter HTTP/1.1
Host: global.stgapi.betradar.com
Content-Type: application/xml
Accept: */*
Content-Length: 400

"<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<filterSelections xmlns="http://schemas.sportradar.com/custombet/v1/endpoints">
  <selection id="sr:match:53452525">
    <market market_id="1" specifiers="" outcome_id="1" odds="1.56"/>
    <market market_id="8" specifiers="goalnr=1" outcome_id="8" odds="3.029157596030749"/>
  </selection>
</filterSelections>"
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<response xmlns="http://schemas.sportradar.com/custombet/v1/endpoints"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://schemas.sportradar.com/custombet/v1/endpoints http://schemas.sportradar.com/custombet/v1/endpoints/Calculation.xsd"
  generated_at="2019-06-25T06:32:15+00:00">
  <calculation odds="1.34" probability="0.34" harmonization="true"/>
  <available_selections>
    <event id="sr:match:34234">
      <markets>
        <market id="18" specifiers="total=5.5" conflict="false">
          <outcome id="12" conflict="false"/>
          <outcome id="13" conflict="false"/>
        </market>
        <market id="34" conflict="true">
          <outcome id="74" conflict="true"/>
          <outcome id="76" conflict="true"/>
        </market>
        <market id="19" specifiers="total=0.5" conflict="false">
          <outcome id="12" conflict="false"/>
          <outcome id="13" conflict="true"/>
        </market>
      </markets>
    </event>
  </available_selections>
</response>

Last updated

Was this helpful?